Update a channel binding
PATCH /v1/channel-bindings/{bindingId} · SDK updateChannelBinding · CLI deployments channel-binding update
Requires channels:write.
AuthorizationBearer <token>Opaque bearer credential scoped to one service account and tenant.
bindingId*string^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$application/json- body
agentDeploymentId?|nullconnectionId?|nullexternalAccountId?|nullexternalChannelId?|nullexternalThreadKey?|nullexternalWorkspaceId?|nullmetadata?|nullChannelBindingResponse
application/json- response
createdAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeupdatedAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeversion*number|||environmentId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$organizationId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$workspaceId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$agentDefinitionId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$agentDeploymentId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$channel*string"imessage""rcs""slack""sms""teams""telegram"connectionId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$credentialAttached*booleanexternalAccountId?stringexternalChannelId?stringexternalThreadKey?stringexternalWorkspaceId?stringid*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$lastVerifiedAt?string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timemetadata?object*"channel-binding""channel-binding"provider*string"aws_end_user_messaging_rcs""slack_cloudflare_edge""slack_edge""teams_bot_framework""telegram"status*string"active""archived""disabled"curl -X PATCH "https://example.com/v1/channel-bindings/string" \ -H "Content-Type: application/json" \ -d '{}'{ "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "environmentId": "string", "organizationId": "string", "projectId": "string", "workspaceId": "string", "agentDefinitionId": "string", "agentDeploymentId": "string", "channel": "imessage", "connectionId": "string", "credentialAttached": true, "externalAccountId": "string", "externalChannelId": "string", "externalThreadKey": "string", "externalWorkspaceId": "string", "id": "string", "lastVerifiedAt": "2019-08-24T14:15:22Z", "metadata": {}, "object": "channel-binding", "provider": "aws_end_user_messaging_rcs", "status": "active"}